Bug 43618 - deleting files from ext2 floppies may cause oops (races?)
deleting files from ext2 floppies may cause oops (races?)
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-06-05 17:35 EDT by Pekka Savola
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2001-06-05 17:35:40 EDT
I've seen problems relating to deleting files on ext2 floppies on 2.4.3-2.14.19 i686 and 2.2.19-6.2.1smp i686.  
The others are probably affected too.

I noticed these when I had to mount /mnt/floppy; rm /mnt/floppy/* ; (copy something on floppy) ; umount /mnt/floppy
many times (copy a few files over one by one to recover a fubared system).  At some point, I may have forgotten to 
unmount the floppy before removing it (or the like..).

On 2.4.3 I got:

CPU:    0
EIP:    0010:[<c0145df7>]
Using defaults from ksymoops -t elf32-i386 -a i386
EFLAGS: 00013283
eax: c04814a0   ebx: c04814a0   ecx: 00000000   edx: c3ad3c00
esi: c02388c0   edi: c711eae0   ebp: bffff6f8   esp: c25fdf2c
ds: 0018   es: 0018   ss: 0018
Process rm (pid: 15770, stackpage=c25fd000)
Stack: c2807800 c0157255 c0157267 c2807800 c711eae0 c04814a0 c01443bc
       c711e960 fffffff0 c1f68d60 c711eae0 00000000 c1f68d60 c013dcc2
       c711e960 c25fdf9c 00000000 ffffffeb c711eae0 c711eae0 c38d5000
Call Trace: [<c0157255>] [<c0157267>] [<c01443bc>] [<c013dcc2>]
   [<c0112d10>] [<c0106d1b>]
Warning (Oops_read): Code line not seen, dumping what data is available

>>EIP; c0145df7 <iput_free+b7/140>   <=====
Trace; c0157255 <ext2_unlink+d5/100>
Trace; c0157267 <ext2_unlink+e7/100>
Trace; c01443bc <d_delete+4c/70>
Trace; c013dcc2 <vfs_unlink+122/150>
Trace; c013dd89 <sys_unlink+99/110>
Trace; c0112d10 <do_page_fault+0/470>
Trace; c0106d1b <system_call+33/38>

On 2.2.19 (actually RHL62 system):

kernel panic: EXT2-fs panic (device fd(2,0)):
load_block_bitmap: block_group >= groups_count - block_group = 524287,
groups_count = 1
(copied by hand)

No oops, I was on from serial console.

2.2.19 froze hard; 2.4.3 is still usable (minus floppy).

If this looks like something that could use investigating, I could try to replicate it but I'd like
to hear of what to focus on first.
Comment 1 Bugzilla owner 2004-09-30 11:39:01 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.